/*
 * @(#)Map.java
 * 
 * Christopher Deckers (chrriis@brainlex.com)
 * http://chrriis.brainlex.com
 * 
 * See the file "LICENSE.txt" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */
package chrriis.uihierarchy.compatibility;

/**
 * The Map compatible version.
 * @version 1.0 2004.01.11
 * @author Christopher Deckers (chrriis@brainlex.com)
 */
public interface Map {

  /**
   * Returns true if this map contains a mapping for the specified key. 
   * @param key The key.
   * @return True if found.
   */
  public boolean containsKey(Object key);

  /**
   * Returns the value to which this map maps the specified key.
   * @param key The key.
   * @return The object.
   */
  public Object get(Object key);

  /**
   * Associates the specified value with the specified key in this map (optional operation).
   * @param key The key.
   * @param value The value.
   * @return The previous value.
   */
  public Object put(Object key, Object value);

  /**
   * Returns a set view of the keys contained in this map.
   * @return The set.
   */
  public Set keySet();

}
